public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cx_Freeze/
Date: Wed, 24 May 2023 07:02:04 +0000 (UTC)	[thread overview]
Message-ID: <1684911719.6f7e7d3ad2ed3d18374c1f062d3706a677e5c86f.mgorny@gentoo> (raw)

commit:     6f7e7d3ad2ed3d18374c1f062d3706a677e5c86f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 24 06:31:57 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 24 07:01:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f7e7d3a

dev-python/cx_Freeze: Bump to 6.15.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cx_Freeze/Manifest                |  1 +
 dev-python/cx_Freeze/cx_Freeze-6.15.0.ebuild | 65 ++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-python/cx_Freeze/Manifest b/dev-python/cx_Freeze/Manifest
index d2716bb79d01..a30dab99c55c 100644
--- a/dev-python/cx_Freeze/Manifest
+++ b/dev-python/cx_Freeze/Manifest
@@ -1,3 +1,4 @@
 DIST cx_Freeze-6.13.1.gh.tar.gz 1486207 BLAKE2B aa0151fed482714e41a859059f9672950249ad7fe50fa2accaa9d6af7ddc183a8f74d87337f274849a34a404dda0c732300343b58cd872f3bd03bf275c2f4d97 SHA512 48d569fdce5c6cb100232ce3577f0a55a40f3d1dcafa884a4d62af7f27200a21eb892504b47fb7cd106f410354b70d98a8e5245382431bc1f6d990510c77cb36
 DIST cx_Freeze-6.14.5.gh.tar.gz 1648095 BLAKE2B 81707d17c2118a8db4d768b2fbe83278c6b01509a5a1d3e7f3a41efaa29607fc4b254e9d545a4697b77d4932100f344a8013ac59084bb74d97d1b12cb927ec6e SHA512 52233a138da3250e97668a5c225e78b864bebaa43ea2b30de01af2de7739f48a25030e10d36ccec609240822de308ad030eaa26c2ede8b29318d2b30647cf1c8
 DIST cx_Freeze-6.14.9.gh.tar.gz 1649748 BLAKE2B 08fefea6ed9610b672ca8a4a6e480cedf8fd75c967880e74f94c12368ec1ff71a9d34baae02342f7c4484e65beda5dc71dd39e13b8c340c5b7dd2e89b38ba0f1 SHA512 bfe3e5d3dcf96cff448b034a779b93c37dacda489ee4eabd92e8f4708c6d7a9fe2430bc512f40c6af8c6f851fff24a3626b80f10295af1357e4a58563474e8eb
+DIST cx_Freeze-6.15.0.gh.tar.gz 1650636 BLAKE2B 9d99a78bc4d6b6498e10c54352a6fbfce3f2ee9bba9cc5b7fa752eba465d29355c6e4222e4f3c3012793820f435591f2e3e634e512765720d0c96a7799ab5998 SHA512 90fc3fba50ab7a9a263371fc9e57df768792b78175cd7ed39f2308b2a5e6bf0eb992616d29ff0d34c8bf040d167bac1882e0e1d2425d2f248e4de2e755c72503

diff --git a/dev-python/cx_Freeze/cx_Freeze-6.15.0.ebuild b/dev-python/cx_Freeze/cx_Freeze-6.15.0.ebuild
new file mode 100644
index 000000000000..e169791b001a
--- /dev/null
+++ b/dev-python/cx_Freeze/cx_Freeze-6.15.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Create standalone executables from Python scripts"
+HOMEPAGE="
+	https://cx-freeze.readthedocs.io/
+	https://github.com/marcelotduarte/cx_Freeze/
+	https://pypi.org/project/cx-Freeze/
+"
+SRC_URI="
+	https://github.com/marcelotduarte/cx_Freeze/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="PYTHON"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/importlib-metadata[${PYTHON_USEDEP}]
+	' 3.9)
+	dev-util/patchelf
+	virtual/libcrypt:=
+"
+BDEPEND="
+	test? (
+		app-arch/rpm
+		dev-python/bcrypt[${PYTHON_USEDEP}]
+		dev-python/cryptography[${PYTHON_USEDEP}]
+		dev-python/openpyxl[${PYTHON_USEDEP}]
+		dev-python/pandas[${PYTHON_USEDEP}]
+		dev-python/pillow[${PYTHON_USEDEP}]
+		dev-python/pydantic[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+		dev-python/pytest-timeout[${PYTHON_USEDEP}]
+	)
+"
+
+PATCHES=(
+	# bug #491602
+	"${FILESDIR}/${PN}-6.8.2-buildsystem.patch"
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# remove pythonic dep on patchelf exec
+	sed -i -e '/patchelf/d' pyproject.toml || die
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	# rpm test expects .pyc
+	local -x PYTHONDONTWRITEBYTECODE=
+	rm -rf cx_Freeze || die
+	epytest
+}


             reply	other threads:[~2023-05-24  7:02 UTC|newest]

Thread overview: 54+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-24  7:02 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-07-19 11:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/cx_Freeze/ Michał Górny
2023-07-17  7:34 Michał Górny
2023-06-28 17:17 Michał Górny
2023-06-27  5:19 Jakov Smolić
2023-06-18 17:07 Michał Górny
2023-06-07  5:09 Michał Górny
2023-05-23 16:00 Arthur Zamarin
2023-04-09  6:08 Michał Górny
2023-04-03 19:14 Arthur Zamarin
2023-04-03 19:14 Arthur Zamarin
2023-02-28  8:01 Sergey Popov
2023-02-09 18:09 Sergey Popov
2023-02-09 18:06 Sergey Popov
2022-12-17  7:03 Michał Górny
2022-12-16 20:59 Arthur Zamarin
2022-12-10  9:15 Arthur Zamarin
2022-11-19 16:52 Michał Górny
2022-11-19 16:40 Sam James
2022-11-19  9:05 Sam James
2022-11-02  7:37 Michał Górny
2022-10-26 18:42 Arthur Zamarin
2022-10-13 18:15 Michał Górny
2022-07-10 18:54 Michał Górny
2022-07-10 16:58 Sam James
2022-07-10 16:56 Sam James
2022-06-22 17:02 Arthur Zamarin
2022-06-05  9:14 Michał Górny
2022-06-04 17:48 Michał Górny
2022-01-09  5:13 Michał Górny
2022-01-09  1:08 Sam James
2022-01-08 18:03 Jakov Smolić
2021-12-08  5:37 Michał Górny
2021-11-28  7:50 Arthur Zamarin
2021-11-27  7:09 Arthur Zamarin
2021-09-19  0:58 Sam James
2021-08-26  7:43 Sergey Popov
2021-05-19  0:19 Sam James
2021-05-19  0:19 Sam James
2021-04-15  9:13 Sergey Popov
2021-02-26 12:07 Agostino Sarubbo
2021-01-24 19:50 Michał Górny
2021-01-13 20:16 Michał Górny
2021-01-13 19:05 Sam James
2021-01-13 19:04 Sam James
2020-10-16  7:29 Sergey Popov
2020-10-16  7:29 Sergey Popov
2020-05-11 16:48 Michał Górny
2020-05-11  9:44 Agostino Sarubbo
2020-03-10 19:20 Sergey Popov
2018-06-25  9:53 Jason Zaman
2018-03-18 19:19 Michał Górny
2017-07-14 12:53 Sergey Popov
2016-02-26 18:37 Sergey Popov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684911719.6f7e7d3ad2ed3d18374c1f062d3706a677e5c86f.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox